(function($) {
	"use strict";
	$(window).resize(function(){
		if ($(window).width() < 1166) {
			$('.widget-area').mCustomScrollbar('stop');
		}
	});
	$(window).load(function() {
		$('.widget-area').mCustomScrollbar({
			theme: 'minimal-dark',
			contentTouchScroll: false,
			scrollInertia: 300
		});
	});
	$(document).ready(function() {
		/*-----------------------------------------------------------------------------------*/
		/*  Home icon in main menu
		/*-----------------------------------------------------------------------------------*/ 
			if($('body').hasClass('rtl')) {
				$('.main-navigation .menu-item-home:first-child > a').append('<i class="fa fa-home spaceLeft"></i>');
			} else {
				$('.main-navigation .menu-item-home:first-child > a').prepend('<i class="fa fa-home spaceRight"></i>');
			}
		/*-----------------------------------------------------------------------------------*/
		/*  If Comment Metadata exist or Edit Comments Link exist
		/*-----------------------------------------------------------------------------------*/ 
			if ( $( '.comment-metadata' ).length ) {
				$('.comment-metadata').addClass('smallPart');
			}
			if ( $( '.reply' ).length ) {
				$('.reply').addClass('smallPart');
			}
		/*-----------------------------------------------------------------------------------*/
		/*  Detect Mobile Browser
		/*-----------------------------------------------------------------------------------*/
			var mobileDetect = /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent);
			$('.search-box').click(function() {
				var $ddelay = 0;
				if ( $('.main-sidebar-box').hasClass('sidebar-open') ) {
					$('.widget-area, .main-sidebar-box, .site-content, header.site-header').removeClass('sidebar-open');
					$('body').removeClass( 'menu-opened');
					$ddelay = 300;
				}
				setTimeout(function() {
					if ( !mobileDetect ) {
						$('.search-container #search-field').focus();
					}
					$('.searchPanel').toggleClass('search-open');
					$('.search-box').toggleClass('search-open');
				}, $ddelay);
			});
			$('.main-sidebar-box').click(function() {
				var $ddelay = 0;
				if ( $('.search-box').hasClass('search-open') ) {
					$('.searchPanel').removeClass('search-open');
					$('.search-box').removeClass('search-open');
					$ddelay = 300;
				}
				setTimeout(function() {
					$('.widget-area').toggleClass('sidebar-open');
					$('.main-sidebar-box').toggleClass('sidebar-open');
					$('.site-content, header.site-header').toggleClass('sidebar-open');
					$('body').toggleClass( 'menu-opened');
				}, $ddelay);
			});
		/*-----------------------------------------------------------------------------------*/
		/*  Menu Widget
		/*-----------------------------------------------------------------------------------*/
			if ( $( 'aside ul.menu' ).length ) {
				$('aside ul.menu').find('li').each(function(){
					if($(this).children('ul').length > 0){
						$(this).append('<span class="indicatorBar"></span>');
					}
				});
				$('aside ul.menu > li.menu-item-has-children .indicatorBar, .aside ul.menu > li.page_item_has_children .indicatorBar').click(function() {
					$(this).parent().find('> ul.sub-menu, > ul.children').toggleClass('yesOpenBar');
					$(this).toggleClass('yesOpenBar');
					var $self = $(this).parent();
					if($self.find('> ul.sub-menu, > ul.children').hasClass('yesOpenBar')) {
						$self.find('> ul.sub-menu, > ul.children').slideDown(300);
					} else {
						$self.find('> ul.sub-menu, > ul.children').slideUp(200);
					}
				});
			}
		/*-----------------------------------------------------------------------------------*/
		/*  Mobile Menu
		/*-----------------------------------------------------------------------------------*/ 
			if ($( window ).width() <= 1024) {
				$('.main-navigation').find('li').each(function(){
					if($(this).children('ul').length > 0){
						$(this).append('<span class="indicator"></span>');
					}
				});
				$('.main-navigation ul > li.menu-item-has-children .indicator, .main-navigation ul > li.page_item_has_children .indicator').click(function() {
					$(this).parent().find('> ul.sub-menu, > ul.children').toggleClass('yesOpen');
					$(this).toggleClass('yesOpen');
					var $self = $(this).parent();
					if($self.find('> ul.sub-menu, > ul.children').hasClass('yesOpen')) {
						$self.find('> ul.sub-menu, > ul.children').slideDown(300);
					} else {
						$self.find('> ul.sub-menu, > ul.children').slideUp(200);
					}
				});
			}
			$(window).resize(function() {
				if ($( window ).width() > 1024) {
					$('.main-navigation ul > li.menu-item-has-children, .main-navigation ul > li.page_item_has_children').find('> ul.sub-menu, > ul.children').slideDown(300);
				}
			});
		/*-----------------------------------------------------------------------------------*/
		/*  Detect Mobile Browser
		/*-----------------------------------------------------------------------------------*/ 
			if ( !mobileDetect ) {
				/*-----------------------------------------------------------------------------------*/
				/*  Scroll To Top
				/*-----------------------------------------------------------------------------------*/ 
					$('.site-content').scroll(function(){
						if ($(this).scrollTop() > 700) {
							$('#toTop').addClass('visible');
						} 
						else {
							$('#toTop').removeClass('visible');
						}
					}); 
					$('#toTop').click(function(){
						$('.site-content').animate({ scrollTop: 0 }, 1000);
						return false;
					});
			}
	});
})(jQuery);